Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class RecordImpl

    java.lang.Object
      |
      +--com.bea.adapter.cci.RecordImpl

public class RecordImpl
extends java.lang.Object
implements javax.resource.cci.Record

Provides a base implementation for a `Record`. Adapter providers should extend this class when developing a new Record type.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RecordImpl()` Initializes the name and description to null.
`RecordImpl(java.lang.String strName, java.lang.String strDescription)` Initializes the members of this class to the arguments supplied.

Method Summary
`java.lang.Object` | `clone()` Clones the name and description of this record.
`boolean` | `equals(java.lang.Object obj)` Compares the argument to this
`java.lang.String` | `getRecordName()`
`java.lang.String` | `getRecordShortDescription()`
`int` | `hashCode()`
`void` | `setRecordName(java.lang.String strName)` Sets the name of this record
`void` | `setRecordShortDescription(java.lang.String strDescription)` Sets the short description for this record
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordImpl

    public RecordImpl()

  Initializes the name and description to null.

### RecordImpl

    public RecordImpl(java.lang.String strName,
                      java.lang.String strDescription)

  Initializes the members of this class to the arguments supplied.

  Parameters:
    `strName` - - record name
    `strDescription` - - short description of the record

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clones the name and description of this record.
  Specified by:
    clone in interface javax.resource.cci.Record

  Overrides:
    clone in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Compares the argument to this
  Specified by:
    equals in interface javax.resource.cci.Record

  Returns:
    true if the argument is of this type and its name and description are the same; false otherwise
  Overrides:
    equals in class java.lang.Object

### getRecordName

    public java.lang.String getRecordName()

  Specified by:
    getRecordName in interface javax.resource.cci.Record

  Returns:
    this record's name; may return null

### getRecordShortDescription

    public java.lang.String getRecordShortDescription()

  Specified by:
    getRecordShortDescription in interface javax.resource.cci.Record

  Returns:
    a short description of this record, may return null

### hashCode

    public int hashCode()

  Specified by:
    hashCode in interface javax.resource.cci.Record

  Overrides:
    hashCode in class java.lang.Object

### setRecordName

    public void setRecordName(java.lang.String strName)

  Sets the name of this record
  Specified by:
    setRecordName in interface javax.resource.cci.Record

### setRecordShortDescription

    public void setRecordShortDescription(java.lang.String strDescription)

  Sets the short description for this record
  Specified by:
    setRecordShortDescription in interface javax.resource.cci.Record

### toString

    public java.lang.String toString()

  Returns:
    a String representation of this record, combination of its name and description
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)